Bug 166868 - fatal python error when using unauthenticated http proxy to install package
fatal python error when using unauthenticated http proxy to install package
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Beth Nackashi
:
Depends On:
Blocks: 155571 156320 166879
  Show dependency treegraph
 
Reported: 2005-08-26 12:24 EDT by Beth Nackashi
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHBA-2005-712
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 13:19:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fatal python error traceback (28.10 KB, text/plain)
2005-08-26 12:24 EDT, Beth Nackashi
no flags Details

  None (edit)
Description Beth Nackashi 2005-08-26 12:24:04 EDT
Description of problem:
This bug was spawned from 157070.  See Comment #26 of that bug for more information.

When yum repo and unauthenticated http proxy port is used to install a package
(e.g. rhn-apache), a fatal python error occurs.

Version-Release number of selected component (if applicable):
up2date-4.4.43-3

How reproducible:
always

Steps to Reproduce:
1.  register a RHEL 3 U5 system to webqa through unauthenticated http proxy via
the following command:

rhnreg_ks --username=<USERNAME> --password=<PASSWORD>
--email=<USERNAME>@redhat.com --proxy=http://cellar.rhndev.redhat.com:3129
--proxyUser=0123 --proxyPassword=0123
--serverUrl=http://xmlrpc.rhn.webqa.redhat.com/XMLRPC --force

2.  make sure the latest up2date is installed (up2date-4.4.4x-3)
3.  schedule a package install (e.g. rhn-apache) via the web UI.
4.  run rhn_check -vvv

Actual results:
Fatal python error.  See attached traceback.


Expected results:
No fatal python error.  Yum is accessed as expected and unauthenticated proxy
port works.

Additional info:
Comment 1 Beth Nackashi 2005-08-26 12:24:04 EDT
Created attachment 118165 [details]
fatal python error traceback
Comment 2 Beth Nackashi 2005-08-26 12:25:37 EDT
whoops, I forgot step 2.5 in Steps To Reproduce:

2.5.  Add the following lines to the sources file:
yum playpen-4AS http://dept.rhndev.redhat.com/yum/playpen-4AS
yum support-4AS http://dept.rhndev.redhat.com/yum/support-4AS
yum playpen-3AS http://dept.rhndev.redhat.com/yum/playpen-3AS
yum support-3AS http://dept.rhndev.redhat.com/yum/support-3AS
yum playpen-java-3AS http://dept.rhndev.redhat.com/yum/playpen-java-3AS
Comment 3 Adrian Likins 2005-08-26 13:25:00 EDT
fix in 4.4.44 
Comment 4 Debbie McGrath 2005-08-26 14:33:04 EDT
ACKing for RHEL 3 U6 and adding to RHEL3U6CanFix.
Bug 1666879 has been cloned from this bug for RHEL 4 U2, has been ACK'd and
added to RHEL4U2CanFix.
Comment 5 Beth Nackashi 2005-08-29 13:48:37 EDT
verified using up2date-4.4.44-3
Comment 6 Todd Warner 2005-09-23 16:33:10 EDT
PROD_READY-->RELEASE_PENDING
Comment 7 Red Hat Bugzilla 2005-09-28 13:19:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-712.html

Note You need to log in before you can comment on or make changes to this bug.